Bug Hunting Session
Bug 79449 - Crash on deleting the previously given name of a cell.
Summary: Crash on deleting the previously given name of a cell.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-30 10:01 UTC by Bernhard
Modified: 2014-12-08 09:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
For calculating money for different month. (172.80 KB, application/vnd.oasis.opendocument.spreadsheet-template)
2014-06-03 20:54 UTC, Bernhard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard 2014-05-30 10:01:52 UTC
Hello
for me this failure is major or more, because I am not able to rename a named cell.
The crash happens as described within Bug 76768, but afterwards within the recovered document the old name of the cell still exist.
Comment 1 m.a.riosv 2014-05-30 22:52:41 UTC
Hi Bernhard, thanks for reporting.

I can't reproduce with:
Win7x64
Version: 4.2.3.3 Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0
Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de

Please can you try resetting the user profile, sometimes solves strange issues.
https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux
Comment 2 Bernhard 2014-06-03 12:45:37 UTC
(In reply to comment #1)
> Hi Bernhard, thanks for reporting.
> 
> I can't reproduce with:
> Win7x64
> Version: 4.2.3.3 Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0
> Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
> 
> Please can you try resetting the user profile, sometimes solves strange
> issues.
> https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux

Hello,

thank you for your answer.

I did a user profile reset - same behaviour afterwards.

Sometimes I can redefine the affected range of data of a particular name.
That means, the unwanted name then belongs to a different cell.
I use this as workaround now.
When I want to delete or modify a name, I redirect it to a dummy cell on my sheet.
Meanwhile this dummy cell has about 10 different names.
Afterwards I define the new correct name for the origin cell.
But 50% of my tries still crash calc.

From time to time I tried to delete names of the dummy cell. Sometimes it works.
Comment 3 m.a.riosv 2014-06-03 13:48:24 UTC
Please can you attach a sample file in which deletes the name crash.
While better change the status to unconfirmed to facilitate the verification by someone with Linux.
Comment 4 Bernhard 2014-06-03 20:54:18 UTC
Created attachment 100370 [details]
For calculating money for different month.

Go into the administration for names and delete any name of a cell or cell range.
Renaming a name doesn't work too --> try to save the document.
You will find names for formulas too.
Comment 5 m.a.riosv 2014-06-03 22:39:26 UTC
Reproducible with
Win7x64
Version: 4.2.3.3 Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0
with macros disable no crash when delete but when close the file.

But no crash and seems works with:
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
Version: 4.3.0.0.beta1 Build ID: b7cfa1eab1cb1e94f71d6df6612b73f231d0bf92

As won't be new releases for 4.2.3.3, I think we can set up as resolved.
All versions to download in:
http://downloadarchive.documentfoundation.org/libreoffice/old/?C=M;O=D
Please if you are not agree, or can reproduce the issue in some of the newer versions, reopen it.
Comment 6 Commit Notification 2014-12-06 09:54:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95d27f465f67b12953a158f6f534e6f5aa3105a7

the xlink:type attribute is mandatory, related fdo#79449

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-07 23:39:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b1a62f7d936d56cc31466c0b4f02a84702332e8&h=libreoffice-4-4

the xlink:type attribute is mandatory, related fdo#79449

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-08 09:09:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5b5d928f5cae0f0d0c833d425ee07e5f5c66ef8&h=libreoffice-4-3

the xlink:type attribute is mandatory, related fdo#79449

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.